/* ########## HEADER ########## */
header {
  position: fixed;
  top: 0;
  width: calc(100% - 70px);
  margin: 40px;
  z-index: 1000;
  color: $whitest_white;
  transition: all 800ms cubic-bezier(0, 0, 0, 1);

  @media (max-width: $mobile-bp) {
    position: fixed;
  }

  #badge {
    display: inline-block;

    .badge-inner {
      transform-style: preserve-3d;
      font-family: "Segoe UI Bold", sans-serif;
      color: inherit;
      height: 30px;
      width: 30px;
      font-size: 1.5rem;
      display: inline-block;
      transform: rotateY(0deg);
      transition: all 500ms;

      @media (max-width: $mobile-bp) {
        font-size: 2rem;
        left: 7px;
        position: relative;
      }

      #logo {
        backface-visibility: hidden;
        text-decoration: none;
        color: inherit;
        font-family: inherit;
      }

      #panda {
        backface-visibility: hidden;
        transform: rotateY(180deg);
        display: block;
        height: 50px;
        width: 50px;
        background: white;
        border-radius: 50%;
        position: absolute;
        margin-left: -10px;
        top: -6px;

        a {
          display: inline-block;

          img {
            height: 66%;
            width: 66%;
            margin: 17%;
          }
        }
      }
    }

    &:hover .badge-inner:not(.locked) {
      transform: rotateY(180deg);
      transition: all 500ms;
    }
  }

  &.out {
    transform: translateY(-10px);
  }
}

@import "nav";